<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Admin extends CI_Controller 
{

	public function __construct() 
	{
		parent::__construct();
		$this->load->model("admin_model");
		$this->load->model("user_model");

		if(!$this->user->loggedin) {
			redirect(site_url("login"));
		}
		if(!$this->common->has_permissions(array("admin", "admin_settings",
			"admin_members", "admin_payment"), $this->user)) {
			$this->template->error(lang("error_2"));
		}
	}


	public function index() 
	{	
		$this->template->loadData("activeLink", 
			array("admin" => array("general" => 1)));
		$this->template->loadContent("admin/index.php", array(
			)
		);

	}
	
	//######################### Методы оплаты #########################//

	public function pay_method() // Методы оплаты
	{	
		$this->template->loadData("activeLink", 
			array("admin" => array("pay_method" => 1)));
		$this->template->loadContent("admin/pay_method.php", array(
			)
		);

	}
	
	public function card_method_pro() // Банковские карты
	{
		if(!$this->user->info->admin && !$this->user->info->admin_payment) {
			$this->template->error(lang("error_2"));
		}
		// Карты Яндекс
		$card_yandex = $this->common->nohtml($this->input->post("card_yandex"));
		$check_card_yandex = intval($this->input->post("check_card_yandex"));
		
		// Карты Элекснет VISA
		$card_elex_visa = $this->common->nohtml($this->input->post("card_elex_visa"));
		$check_card_elex_visa = intval($this->input->post("check_card_elex_visa"));
		
		// Карты Элекснет MasterCard
		$card_elex_mc = $this->common->nohtml($this->input->post("card_elex_mc"));
		$check_card_elex_mc = intval($this->input->post("check_card_elex_mc"));
		
		// Карты копилка QIWI
		$card_qiwi = $this->common->nohtml($this->input->post("card_qiwi"));
		$check_card_qiwi = intval($this->input->post("check_card_qiwi"));


		// update
		$this->admin_model->updateSettings(
			array(
				"card_yandex" => $card_yandex,
				"check_card_yandex" => $check_card_yandex,
				"card_elex_visa" => $card_elex_visa,
				"check_card_elex_visa" => $check_card_elex_visa,
				"card_elex_mc" => $card_elex_mc,
				"check_card_elex_mc" => $check_card_elex_mc,
				"card_qiwi" => $card_qiwi,
				"check_card_qiwi" => $check_card_qiwi
			)
		);
		$this->session->set_flashdata("globalmsg", "Настройки методов оплаты обновлены!");
		redirect(site_url("admin/pay_method"));

	}
	
	public function loan_method_pro() // Кредит
	{
		if(!$this->user->info->admin && !$this->user->info->admin_payment) {
			$this->template->error(lang("error_2"));
		}
		// Параметры LEADS.SU
		$loan_api_key = $this->common->nohtml($this->input->post("loan_api_key"));
		$loan_offer = $this->common->nohtml($this->input->post("loan_offer"));
		$loan_idsite = $this->common->nohtml($this->input->post("loan_idsite"));
		$check_loan = intval($this->input->post("check_loan"));

		// update
		$this->admin_model->updateSettings(
			array(
				"loan_api_key" => $loan_api_key,
				"loan_offer" => $loan_offer,
				"loan_idsite" => $loan_idsite,
				"check_loan" => $check_loan
			)
		);
		$this->session->set_flashdata("globalmsg", "Настройки методов оплаты обновлены!");
		redirect(site_url("admin/pay_method"));

	}
	
	public function emoney_method_pro() // Электронные кошельки
	{
		if(!$this->user->info->admin && !$this->user->info->admin_payment) {
			$this->template->error(lang("error_2"));
		}
		// Яндекс Деньги
		$emoney_yandex = $this->common->nohtml($this->input->post("emoney_yandex"));
		$check_emoney_yandex = intval($this->input->post("check_emoney_yandex"));
		
		// QIWI копилка
		$emoney_qiwi_save = $this->common->nohtml($this->input->post("emoney_qiwi_save"));
		$check_emoney_qiwi_save = intval($this->input->post("check_emoney_qiwi_save"));
		
		// QIWI обычный перевод
		$emoney_qiwi = $this->common->nohtml($this->input->post("emoney_qiwi"));
		$check_emoney_qiwi = intval($this->input->post("check_emoney_qiwi"));
		
		// PayPal RUB
		$emoney_paypal_rub = $this->common->nohtml($this->input->post("emoney_paypal_rub"));
		$check_emoney_paypal_rub = intval($this->input->post("check_emoney_paypal_rub"));
		
		// PayPal USD
		$emoney_paypal_usd = $this->common->nohtml($this->input->post("emoney_paypal_usd"));
		$check_emoney_paypal_usd = intval($this->input->post("check_emoney_paypal_usd"));
		
		// WebMoney
		$emoney_webmoney = $this->common->nohtml($this->input->post("emoney_webmoney"));
		$check_emoney_webmoney = intval($this->input->post("check_emoney_webmoney"));
		
		// PerfectMoney
		$emoney_perfect = $this->common->nohtml($this->input->post("emoney_perfect"));
		$check_emoney_perfect = intval($this->input->post("check_emoney_perfect"));
		
		// Scrill
		$emoney_scrill = $this->common->nohtml($this->input->post("emoney_scrill"));
		$check_scrill = intval($this->input->post("check_scrill"));
		
		// Элекснет
		$emoney_elexnet = $this->common->nohtml($this->input->post("emoney_elexnet"));
		$check_elexnet = intval($this->input->post("check_elexnet"));
		
		// ADV Cash
		$emoney_advcash = $this->common->nohtml($this->input->post("emoney_advcash"));
		$emoney_name_advcash = $this->common->nohtml($this->input->post("emoney_name_advcash"));
		$emoney_sign_advcash = $this->common->nohtml($this->input->post("emoney_sign_advcash"));
		$check_advcash = intval($this->input->post("check_advcash"));
		
		// ADV Cash USD
		$emoney_advcash_usd = $this->common->nohtml($this->input->post("emoney_advcash_usd"));
		$emoney_name_advcash_usd = $this->common->nohtml($this->input->post("emoney_name_advcash_usd"));
		$emoney_sign_advcash_usd = $this->common->nohtml($this->input->post("emoney_sign_advcash_usd"));
		$check_advcash_usd = intval($this->input->post("check_advcash_usd"));
		
		// BTC RUB через шлюз ADV Cash
		$emoney_btcadvcash = $this->common->nohtml($this->input->post("emoney_btcadvcash"));
		$emoney_name_btcadvcash = $this->common->nohtml($this->input->post("emoney_name_btcadvcash"));
		$emoney_sign_btcadvcash = $this->common->nohtml($this->input->post("emoney_sign_btcadvcash"));
		$check_btcadvcash = intval($this->input->post("check_btcadvcash"));
		
		// BTC USD через шлюз ADV Cash
		$emoney_btcadvcash_usd = $this->common->nohtml($this->input->post("emoney_btcadvcash_usd"));
		$emoney_name_btcadvcash_usd = $this->common->nohtml($this->input->post("emoney_name_btcadvcash_usd"));
		$emoney_sign_btcadvcash_usd = $this->common->nohtml($this->input->post("emoney_sign_btcadvcash_usd"));
		$check_btcadvcash_usd = intval($this->input->post("check_btcadvcash_usd"));
		
		// Wallet One USD
		$emoney_w1_usd = $this->common->nohtml($this->input->post("emoney_w1_usd"));
		$check_w1_usd = intval($this->input->post("check_w1_usd"));
		
		// Wallet One RUB
		$emoney_w1 = $this->common->nohtml($this->input->post("emoney_w1"));
		$check_w1 = intval($this->input->post("check_w1"));
		
		// Payeer RUB
		$emoney_payeer = $this->common->nohtml($this->input->post("emoney_payeer"));
		$emoney_payeer_sign = $this->common->nohtml($this->input->post("emoney_payeer_sign"));
		$check_payeer = intval($this->input->post("check_payeer"));
		
		// Payeer USD
		$emoney_payeer_usd = $this->common->nohtml($this->input->post("emoney_payeer_usd"));
		$emoney_payeer_usd_sign = $this->common->nohtml($this->input->post("emoney_payeer_usd_sign"));
		$check_payeer_usd = intval($this->input->post("check_payeer_usd"));
		
		// DotPay USD
		$emoney_dotpay = $this->common->nohtml($this->input->post("emoney_dotpay"));
		$check_dotpay = intval($this->input->post("check_dotpay"));


		// update
		$this->admin_model->updateSettings(
			array(
				"emoney_payeer_sign" => $emoney_payeer_sign,
				"emoney_payeer_usd_sign" => $emoney_payeer_usd_sign,
				"emoney_yandex" => $emoney_yandex,
				"check_emoney_yandex" => $check_emoney_yandex,
				"emoney_qiwi_save" => $emoney_qiwi_save,
				"check_emoney_qiwi_save" => $check_emoney_qiwi_save,
				"emoney_qiwi" => $emoney_qiwi,
				"check_emoney_qiwi" => $check_emoney_qiwi,
				"emoney_paypal_rub" => $emoney_paypal_rub,
				"check_emoney_paypal_rub" => $check_emoney_paypal_rub,
				"emoney_paypal_usd" => $emoney_paypal_usd,
				"check_emoney_paypal_usd" => $check_emoney_paypal_usd,
				"emoney_webmoney" => $emoney_webmoney,
				"check_emoney_webmoney" => $check_emoney_webmoney,
				"emoney_perfect" => $emoney_perfect,
				"check_emoney_perfect" => $check_emoney_perfect,
				"emoney_scrill" => $emoney_scrill,
				"check_scrill" => $check_scrill,
				"emoney_elexnet" => $emoney_elexnet,
				"check_elexnet" => $check_elexnet,
				"emoney_advcash" => $emoney_advcash,
				"emoney_name_advcash" => $emoney_name_advcash,
				"emoney_sign_advcash" => $emoney_sign_advcash,
				"check_advcash" => $check_advcash,
				"emoney_advcash_usd" => $emoney_advcash_usd,
				"emoney_name_advcash_usd" => $emoney_name_advcash_usd,
				"emoney_sign_advcash_usd" => $emoney_sign_advcash_usd,
				"check_advcash_usd" => $check_advcash_usd,
				"emoney_btcadvcash" => $emoney_btcadvcash,
				"emoney_name_btcadvcash" => $emoney_name_btcadvcash,
				"emoney_sign_btcadvcash" => $emoney_sign_btcadvcash,
				"check_btcadvcash" => $check_btcadvcash,
				"emoney_btcadvcash_usd" => $emoney_btcadvcash_usd,
				"emoney_name_btcadvcash_usd" => $emoney_name_btcadvcash_usd,
				"emoney_sign_btcadvcash_usd" => $emoney_sign_btcadvcash_usd,
				"check_btcadvcash_usd" => $check_btcadvcash_usd,
				"emoney_w1_usd" => $emoney_w1_usd,
				"check_w1_usd" => $check_w1_usd,
				"emoney_w1" => $emoney_w1,
				"check_w1" => $check_w1,
				"emoney_payeer" => $emoney_payeer,
				"check_payeer" => $check_payeer,
				"emoney_payeer_usd" => $emoney_payeer_usd,
				"check_payeer_usd" => $check_payeer_usd,
				"emoney_dotpay" => $emoney_dotpay,
				"check_dotpay" => $check_dotpay
			)
		);
		$this->session->set_flashdata("globalmsg", "Настройки методов оплаты обновлены!");
		redirect(site_url("admin/pay_method"));

	}
	
	public function sms_method_pro() // SMS платежи
	{
		if(!$this->user->info->admin && !$this->user->info->admin_payment) {
			$this->template->error(lang("error_2"));
		}
		// Мобильные операторы Яндекс
		$sms_yandex = $this->common->nohtml($this->input->post("sms_yandex"));
		$check_sms_yandex = intval($this->input->post("check_sms_yandex"));
		
		// МТС Элекснет
		$sms_mts = $this->common->nohtml($this->input->post("sms_mts"));
		$check_sms_mts = intval($this->input->post("check_sms_mts"));


		// update
		$this->admin_model->updateSettings(
			array(
				"sms_yandex" => $sms_yandex,
				"check_sms_yandex" => $check_sms_yandex,
				"sms_mts" => $sms_mts,
				"check_sms_mts" => $check_sms_mts
			)
		);
		$this->session->set_flashdata("globalmsg", "Настройки методов оплаты обновлены!");
		redirect(site_url("admin/pay_method"));

	}
	
	public function bank_method_pro() // Банковский перевод
	{
		if(!$this->user->info->admin && !$this->user->info->admin_payment) {
			$this->template->error(lang("error_2"));
		}
		// Перевод на карту
		$bank_sber = $this->common->nohtml($this->input->post("bank_sber"));
		$check_bank_sber = intval($this->input->post("check_bank_sber"));
		
		// Платеж по реквизитам в рублях
		$bank_rub = $this->common->nohtml($this->input->post("bank_rub"));
		$bank_rub_name = $this->common->nohtml($this->input->post("bank_rub_name"));
		$bank_rub_corr = $this->common->nohtml($this->input->post("bank_rub_corr"));
		$bank_rub_bik = $this->common->nohtml($this->input->post("bank_rub_bik"));
		$bank_rub_inn = $this->common->nohtml($this->input->post("bank_rub_inn"));
		$bank_rub_account = $this->common->nohtml($this->input->post("bank_rub_account"));
		$bank_rub_reciver = $this->common->nohtml($this->input->post("bank_rub_reciver"));
		$check_bank_rub = intval($this->input->post("check_bank_rub"));
		
		// Платеж по реквизитам в долларах
		$bank_usd = $this->common->nohtml($this->input->post("bank_usd"));
		$bank_usd_name = $this->common->nohtml($this->input->post("bank_usd_name"));
		$bank_usd_corr = $this->common->nohtml($this->input->post("bank_usd_corr"));
		$bank_usd_bik = $this->common->nohtml($this->input->post("bank_usd_bik"));
		$bank_usd_inn = $this->common->nohtml($this->input->post("bank_usd_inn"));
		$bank_usd_account = $this->common->nohtml($this->input->post("bank_usd_account"));
		$bank_usd_reciver = $this->common->nohtml($this->input->post("bank_usd_reciver"));
		$check_bank_usd = intval($this->input->post("check_bank_usd"));

		// update
		$this->admin_model->updateSettings(
			array(
				"bank_sber" => $bank_sber,
				"check_bank_sber" => $check_bank_sber,
				"bank_rub" => $bank_rub,
				"bank_rub_name" => $bank_rub_name,
				"bank_rub_corr" => $bank_rub_corr,
				"bank_rub_bik" => $bank_rub_bik,
				"bank_rub_inn" => $bank_rub_inn,
				"bank_rub_account" => $bank_rub_account,
				"bank_rub_reciver" => $bank_rub_reciver,
				"bank_usd_name" => $bank_usd_name,
				"bank_usd_corr" => $bank_usd_corr,
				"bank_usd_bik" => $bank_usd_bik,
				"bank_usd_inn" => $bank_usd_inn,
				"bank_usd_account" => $bank_usd_account,
				"bank_usd_reciver" => $bank_usd_reciver,
				"check_bank_rub" => $check_bank_rub,
				"bank_usd" => $bank_usd,
				"check_bank_usd" => $check_bank_usd
			)
		);
		$this->session->set_flashdata("globalmsg", "Настройки методов оплаты обновлены!");
		redirect(site_url("admin/pay_method"));

	}
	
	//######################### История счетов #########################//

	public function history($col=0,$sort=0,$page=0) // История счетов
	{	
		$this->template->loadData("activeLink", 
			array("admin" => array("history" => 1)));
		$page = intval($page);
		$col = intval($col);
		$sort = intval($sort);
		$sort_o = $sort;
		$col_o = $col;
		
		// Пагинация
		$config['base_url'] = site_url("admin/history/" . $col . "/" . $sort);
		
		$pay_links = $this->admin_model->get_pay_links($page, $col, $sort);

		$this->load->library('pagination');

		$config['total_rows'] = $this->admin_model
			->get_total_history_count();
		$config['per_page'] = 20;
		$config['uri_segment'] = 5;

		include (APPPATH . "/config/page_config.php");

		$this->pagination->initialize($config); 
		
		$phistory = $this->admin_model->get_history();
		$this->template->loadContent("admin/history.php", array(
			"phistory" => $phistory,
			"pay_links" => $pay_links,
			"sort" => $sort_o,
			"col" => $col_o,
			"total_history" => $config['total_rows'],
			"page" => $page
			)
		);

	}
	
	public function delete_history($id, $hash) // Удаление транзакции
	{
		if(!$this->user->info->admin && !$this->user->info->admin_members) {
			$this->template->error(lang("error_2"));
		}
		if ($hash != $this->security->get_csrf_hash()) {
			$this->template->error(lang("error_6"));
		}
		$id = intval($id);
		$history = $this->admin_model->get_pay_link($id);
		if ($history->num_rows() == 0) $this->template->error("error_4");

		$this->admin_model->delete_history($id);
		// Delete all user groups from member

		$this->session->set_flashdata("globalmsg", "Транзакция успешно удалена!");
		redirect(site_url("admin/history"));
	}
	
	public function edit_history_suc_pro($id) // Форма изменения статуса - Успех
	{
		if(!$this->user->info->admin && !$this->user->info->admin_members) {
			$this->template->error(lang("error_2"));
		}
		$id = intval($id);
		$history = $this->admin_model->edit_history($id);
		if ($history->num_rows() ==0 ) $this->template->error(lang("error_13"));

		$label = $this->common->nohtml($this->input->post("label"));
		$status = $this->common->nohtml($this->input->post("status"));
		$email = $this->common->nohtml($this->input->post("email"));
		$transaction = $this->common->nohtml($this->input->post("transaction"));
		$timestamp = $this->common->nohtml($this->input->post("timestamp"));
		$pay_method = $this->common->nohtml($this->input->post("pay_method"));
		$amount = $this->common->nohtml($this->input->post("amount"));
		$name = $this->common->nohtml($this->input->post("name"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		$this->admin_model->update_history($id, 
			array(
			"label" => $label,
			"status" => $status,
			"transaction" => $transaction,
			"timestamp" => $timestamp,
			"pay_method" => $pay_method,
			"amount" => $amount,
			"name" => $name,
			"comment" => $comment,
			"email" => $email
				)
		);

		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $email,
		'subject' => "Платеж получен!",
		'html' => '<html>Здравствуйте, уважаемый клиент! <br><br>От Вас успешно получен платеж по счету '.$transaction.' в сумме <b>'.$amount.' '.$this->settings->info->currency.'</b> <br><br><b>Детали операции:</b><br>Дата платежа: '.$timestamp.'<br>Назначение платежа: '.$name.'<br>Способ оплаты: '.$pay_method.'<br>Комментарий к оплате: '.$comment.'.<br><br><b>'.$this->settings->info->site_name.'<br>'.$this->settings->info->site_email.'</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
		
		$this->session->set_flashdata("globalmsg", "Статус успешно изменен. Пользователь будет уведомлен о смене статуса, если у Вас настроен MailGun API");
		redirect(site_url("admin/history"));
	}
	
	public function edit_history_fail_pro($id) // Форма изменения статуса - Неудача
	{
		if(!$this->user->info->admin && !$this->user->info->admin_members) {
			$this->template->error(lang("error_2"));
		}
		$id = intval($id);
		$history = $this->admin_model->edit_history($id);
		if ($history->num_rows() ==0 ) $this->template->error(lang("error_13"));

		$label = $this->common->nohtml($this->input->post("label"));
		$status = $this->common->nohtml($this->input->post("status"));
		$email = $this->common->nohtml($this->input->post("email"));
		$transaction = $this->common->nohtml($this->input->post("transaction"));
		$timestamp = $this->common->nohtml($this->input->post("timestamp"));
		$pay_method = $this->common->nohtml($this->input->post("pay_method"));
		$amount = $this->common->nohtml($this->input->post("amount"));
		$name = $this->common->nohtml($this->input->post("name"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		$this->admin_model->update_history($id, 
			array(
			"label" => $label,
			"status" => $status,
			"transaction" => $transaction,
			"timestamp" => $timestamp,
			"pay_method" => $pay_method,
			"amount" => $amount,
			"name" => $name,
			"comment" => $comment,
			"email" => $email
				)
		);

		
		$api_key = $this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain = $this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $email,
		'subject' => "Платеж отклонен!",
		'html' => '<html>Здравствуйте, уважаемый клиент! <br><br>Вами ранее был создан счет '.$transaction.' на сумму <b>'.$amount.' '.$this->settings->info->currency.'</b>, однако денежные средства по этому счету не были получены. Если Вы считаате, что это ошибка, свяжитесь со Службой поддержки. <br><br><b>Детали операции:</b><br>Дата платежа: '.$timestamp.'<br>Назначение платежа: '.$name.'<br>Способ оплаты: '.$pay_method.'<br>Комментарий к оплате: '.$comment.'.<br><br><b>'.$this->settings->info->site_name.'<br>'.$this->settings->info->site_email.'</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
		
		$this->session->set_flashdata("globalmsg", "Статус успешно изменен. Пользователь будет уведомлен о смене статуса, если у Вас настроен MailGun API");
		redirect(site_url("admin/history"));
	}
	
	//######################### История счетов #########################//
	
	//######################### Платежные ссылки #########################//

	public function pay_link($col=0,$sort=0,$page=0) // Главная страница
	{	
		$this->template->loadData("activeLink", 
			array("admin" => array("pay_link" => 1)));
		$page = intval($page);
		$col = intval($col);
		$sort = intval($sort);

		$sort_o = $sort;
		$col_o = $col;
		
		// Пагинация
		$config['base_url'] = site_url("admin/pay_link/" . $col . "/" . $sort);
		
		$pay_links = $this->admin_model->get_pay_links($page, $col, $sort);

		$this->load->library('pagination');

		$config['total_rows'] = $this->admin_model
			->get_total_pay_link_count();
		$config['per_page'] = 20;
		$config['uri_segment'] = 5;

		include (APPPATH . "/config/page_config.php");

		$this->pagination->initialize($config); 
		
		$plink = $this->admin_model->get_pay_link();
		$this->template->loadContent("admin/pay_link.php", array(
			"plink" => $plink,
			"pay_links" => $pay_links,
			"sort" => $sort_o,
			"col" => $col_o,
			"total_pay_link" => $config['total_rows'],
			"page" => $page
			)
		);

	}
	
	public function delete_pay_link($id, $hash) // Удаление платежной ссылки
	{
		if(!$this->user->info->admin && !$this->user->info->admin_members) {
			$this->template->error(lang("error_2"));
		}
		if ($hash != $this->security->get_csrf_hash()) {
			$this->template->error(lang("error_6"));
		}
		$id = intval($id);
		$pay_link = $this->admin_model->get_pay_link($id);
		if ($pay_link->num_rows() == 0) $this->template->error(lang("error_4"));

		$this->admin_model->delete_pay_link($id);
		// Delete all user groups from member

		$this->session->set_flashdata("globalmsg", "Платежная ссылка удалена, но пользователи все еще могут совершить платеж по ней.");
		redirect(site_url("admin/pay_link"));
	}
	
	public function edit_pay_link($id) // Редактирование платежной ссылки
	{
		if(!$this->user->info->admin && !$this->user->info->admin_members) {
			$this->template->error(lang("error_2"));
		}
		$this->template->loadData("activeLink", 
			array("admin" => array("pay_link" => 1)));
		$id = intval($id);

		$pay_link = $this->admin_model->edit_pay_link($id);
		if ($pay_link->num_rows() ==0 ) $this->template->error(lang("error_13"));

		$this->template->loadContent("admin/edit_pay_link.php", array(
			"pay_link" => $pay_link->row()
			)
		);
	}
	
	public function add_pay_link_pro() // Добавление новой платежной ссылки
	{
		$prefix = $this->common->nohtml($this->input->post("prefix"));
		$name = $this->common->nohtml($this->input->post("name"));
		$price = $this->common->nohtml($this->input->post("price"));
		$link = $this->common->nohtml($this->input->post("link"));

		if(empty($name)) {
			$this->template->error(lang("error_79"));
		}

		// Добавление значений ссылки
		$pay_linkid = $this->admin_model->add_pay_link(array(
			"prefix" => $prefix,
			"name" => $name,
			"price" => $price,
			"link" => $link,
			"timestamp" => time()
			)
		);

		$this->session->set_flashdata("globalmsg", "Платежная ссылка успешно добавлена в список");
		redirect(site_url("admin/pay_link"));
	}
	
	public function edit_pay_link_pro($id) // Форма обновления и сохранения платежной ссылки
	{
		if(!$this->user->info->admin && !$this->user->info->admin_members) {
			$this->template->error(lang("error_2"));
		}
		$id = intval($id);
		$pay_link = $this->admin_model->edit_pay_link($id);
		if ($pay_link->num_rows() ==0 ) $this->template->error(lang("error_13"));

		$name = $this->common->nohtml($this->input->post("name"));
		$prefix = $this->common->nohtml($this->input->post("prefix"));
		$price = $this->common->nohtml($this->input->post("price"));
		$link = $this->common->nohtml($this->input->post("link"));
		if (empty($name)) $this->template->error(lang("error_5"));

		$this->admin_model->update_pay_link($id, 
			array(
			"prefix" => $prefix,
			"name" => $name,
			"price" => $price,
			"link" => $link
				)
		);
		$this->session->set_flashdata("globalmsg", "Платежная ссылка успешно обновлена");
		redirect(site_url("admin/pay_link"));
	}
	
	public function send_pay_link($id) // Форма отправки платежной ссылки
	{
		if(!$this->user->info->admin && !$this->user->info->admin_members) {
			$this->template->error(lang("error_2"));
		}
		$this->template->loadData("activeLink", 
			array("admin" => array("pay_link" => 1)));
		$id = intval($id);
		$pay_link = $this->admin_model->edit_pay_link($id);
		if ($pay_link->num_rows() ==0 ) $this->template->error(lang("error_13"));

		$this->template->loadContent("admin/send_pay_link.php", array(
			"pay_link" => $pay_link->row()
			)
		);
	}
	
	public function send_pay_link_pro() // Отправка платежной ссылки по Email
	{
		if(!$this->user->info->admin && !$this->user->info->admin_members) {
			$this->template->error(lang("error_2"));
		}
		$usermail = $this->common->nohtml($this->input->post("usermail"));
		$title = $this->common->nohtml($this->input->post("title"));
		$message = $this->lib_filter->go($this->input->post("message"));
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $usermail,
		'subject' => $title,
		'html' => '<html>'.$message.'</html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);

		
		$this->session->set_flashdata("globalmsg", "Платежная ссылка успешно отправлена. Обратите внимание, что для успешной доставки у Вас должен быть настроен MailGun API.");
		redirect(site_url("admin/pay_link"));
	}
	
	public function sendsms_pay_link_pro() // Отправка платежной ссылки по SMS
	{
		if(!$this->user->info->admin && !$this->user->info->admin_members) {
			$this->template->error(lang("error_2"));
		}
		$link = $this->lib_filter->go($this->input->post("link"));
		$phone = $this->lib_filter->go($this->input->post("phone"));
	
	$ch = curl_init("http://sms.ru/sms/send?");
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); 
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, array(

            "api_id"         =>  $this->settings->info->sms_id,
						"to"             =>  $phone,
            "text"           =>  $link

        ));

        $body = curl_exec($ch);
        curl_close($ch);
		
		$this->session->set_flashdata("globalmsg", "Платежная ссылка успешно отправлена. Для успешной доставки у Вас должен быть настроен SMS.RU API");
		redirect(site_url("admin/pay_link"));

	}
	
	public function support() // Поддержка
	{	
		$this->template->loadData("activeLink", 
			array("admin" => array("settings" => 1)));
		$this->template->loadContent("admin/support.php", array(
			)
		);

	}
	
	public function support_pro() // Форма изменения статуса - Неудача
	{
		if(!$this->user->info->admin && !$this->user->info->admin_members) {
			$this->template->error(lang("error_2"));
		}

		$subject = $this->common->nohtml($this->input->post("subject"));
		$id_bootpay = $this->common->nohtml($this->input->post("id_bootpay"));
		$email = $this->common->nohtml($this->input->post("email"));
		$message = $this->common->nohtml($this->input->post("message"));

		
		$api_key="key-7";/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain ="mail.psweb.ru";/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => 'Обращение в поддержку <'.$email.'>',
		'to' => "bootpaycom@gmail.com",
		'subject' => $subject,
		'html' => ''.$id_bootpay.' '.$message.''
		));
		$result = curl_exec($ch);
		curl_close($ch);
		
		$this->session->set_flashdata("globalmsg", "Ваше сообщение отправлено! Мы скоро ответим Вам!");
		redirect(site_url("admin/support"));
	}

	public function design() // Дизайн
	{	
		$this->template->loadData("activeLink", 
			array("admin" => array("design" => 1)));
		$this->template->loadContent("admin/design.php", array(
			)
		);

	}
	
	public function design_pro() 
	{
		if(!$this->user->info->admin && !$this->user->info->admin_settings) {
			$this->template->error(lang("error_2"));
		}
		$color_left = $this->common->nohtml($this->input->post("color_left"));
		$color_logo = $this->common->nohtml($this->input->post("color_logo"));
		$color_amount = $this->common->nohtml($this->input->post("color_amount"));
		$color_text = $this->common->nohtml($this->input->post("color_text"));
		$color_header = $this->common->nohtml($this->input->post("color_header"));
		$color_footer = $this->common->nohtml($this->input->post("color_footer"));
		$color_page = $this->common->nohtml($this->input->post("color_page"));
		
		// Validate
		$this->load->library("upload");

		if ($_FILES['userfile']['size'] > 0) {
			$this->upload->initialize(array( 
		       "upload_path" => $this->settings->info->upload_path,
		       "overwrite" => FALSE,
		       "max_filename" => 300,
		       "encrypt_name" => TRUE,
		       "remove_spaces" => TRUE,
		       "allowed_types" => $this->settings->info->file_types,
		       "max_size" => 2000,
		       "xss_clean" => TRUE
		    ));

		    if (!$this->upload->do_upload()) {
		    	$this->template->error(lang("error_21") 
		    	.$this->upload->display_errors());
		    }

		    $data = $this->upload->data();

		    $image = $data['file_name'];
		} else {
			$image= $this->settings->info->site_logo;
		}

		$this->admin_model->updateSettings(
			array(
				"color_left" => $color_left,
				"color_logo" => $color_logo,
				"color_amount" => $color_amount,
				"color_text" => $color_text,
				"color_header" => $color_header,
				"color_footer" => $color_footer,
				"color_page" => $color_page,
				"site_logo"=> $image
			)
		);
		$this->session->set_flashdata("globalmsg", "Информация о стилях успешно обновлена");
		redirect(site_url("admin/design"));
	}



	public function statistics() // Статистика
	{	
		$this->template->loadData("activeLink", 
			array("admin" => array("statistics" => 1)));
		$this->template->loadContent("admin/statistics.php", array(
			)
		);

	}

	public function code_apps() // Приложения
	{	
		$this->template->loadData("activeLink", 
			array("admin" => array("code_apps" => 1)));
		$this->template->loadContent("admin/code_apps.php", array(
			)
		);

	}
	
	public function code_apps_pro() 
	{
		if(!$this->user->info->admin && !$this->user->info->admin_settings) {
			$this->template->error(lang("error_2"));
		}
		$header1 = $this->common->nohtml($this->input->post("header1"));
		$header2 = $this->common->nohtml($this->input->post("header2"));
		$footer1 = $this->common->nohtml($this->input->post("footer1"));
		$footer2 = $this->common->nohtml($this->input->post("footer2"));
		$footer3 = $this->common->nohtml($this->input->post("footer3"));

		$this->admin_model->updateSettings(
			array(
				"header1" => $header1,
				"header2" => $header2,
				"footer1" => $footer1,
				"footer2" => $footer2,
				"footer3" => $footer3,
			)
		);
		$this->session->set_flashdata("globalmsg", "Информация о приложениях обновлена");
		redirect(site_url("admin/code_apps"));
	}

	public function premium_users($page=0) 
	{
		if(!$this->common->has_permissions(array("admin",
			"admin_payment"), $this->user)) {
			$this->template->error(lang("error_2"));
		}
		$this->template->loadData("activeLink", 
			array("admin" => array("premium_users" => 1)));

		$this->template->loadContent("admin/premium_users.php", array(
			)
		);
	}

	public function premium_users_page() 
	{
		$this->load->library("datatables");

		$this->datatables->set_default_order("users.ID", "desc");

		// Set page ordering options that can be used
		$this->datatables->ordering(
			array(
				 3 => array(
				 	"payment_plans.name" => 0
				 ),
				 4 => array(
				 	"users.premium_time" => 0
				 )
			)
		);

		$this->datatables->set_total_rows(
			$this->admin_model
				->get_total_premium_users_count()
		);
		$users = $this->admin_model->get_premium_users($this->datatables);

		foreach($users->result() as $r) {
			  $time = $this->common->convert_time($r->premium_time); 
			  unset($time['mins']);
			  unset($time['secs']);
			$this->datatables->data[] = array(
				$this->common->get_user_display(array("username" => $r->username, "avatar" => $r->avatar, "online_timestamp" => $r->online_timestamp)),
				$r->first_name . " " . $r->last_name,
				$r->email,
				$r->name,
				$this->common->get_time_string($time),
				date($this->settings->info->date_format, $r->joined),
				'<a href="' . site_url("admin/edit_member/" . $r->ID) .'" class="btn btn-warning btn-xs" title="'. lang("ctn_55").'"><span class="glyphicon glyphicon-cog"></span></a> <a href="' . site_url("admin/delete_member/" . $r->ID . "/" . $this->security->get_csrf_hash()) .'" onclick="return confirm(\'' . lang("ctn_86") . '\')" class="btn btn-danger btn-xs" title="'. lang("ctn_57") .'"><span class="glyphicon glyphicon-trash"></span></a>'
			);
		}
		echo json_encode($this->datatables->process());
	}

	public function user_roles() 
	{
		if(!$this->user->info->admin) $this->template->error(lang("error_2"));
		$this->template->loadData("activeLink", 
			array("admin" => array("user_roles" => 1)));
		$roles = $this->admin_model->get_user_roles();
		$this->template->loadContent("admin/user_roles.php", array(
			"roles" => $roles
			)
		);
	}

	public function add_user_role_pro() 
	{
		if(!$this->user->info->admin) $this->template->error(lang("error_2"));

		$name = $this->common->nohtml($this->input->post("name"));
		if (empty($name)) $this->template->error(lang("error_64"));

		$admin = intval($this->input->post("admin"));
		$admin_settings = intval($this->input->post("admin_settings"));
		$admin_members = intval($this->input->post("admin_members"));
		$admin_payment = intval($this->input->post("admin_payment"));
		$banned = intval($this->input->post("banned"));

		$this->admin_model->add_user_role(
			array(
				"name" =>$name,
				"admin" => $admin,
				"admin_settings" => $admin_settings,
				"admin_members" => $admin_members,
				"admin_payment" => $admin_payment,
				"banned" => $banned
				)
			);
		$this->session->set_flashdata("globalmsg", lang("success_30"));
		redirect(site_url("admin/user_roles"));
	}

	public function edit_user_role($id) 
	{
		if(!$this->user->info->admin) $this->template->error(lang("error_2"));
		$id = intval($id);
		$role = $this->admin_model->get_user_role($id);
		if ($role->num_rows() == 0) $this->template->error(lang("error_65"));

		$this->template->loadData("activeLink", 
			array("admin" => array("user_roles" => 1)));

		$this->template->loadContent("admin/edit_user_role.php", array(
			"role" => $role->row()
			)
		);
	}

	public function edit_user_role_pro($id) 
	{
		if(!$this->user->info->admin) $this->template->error(lang("error_2"));
		$id = intval($id);
		$role = $this->admin_model->get_user_role($id);
		if ($role->num_rows() == 0) $this->template->error(lang("error_65"));

		$name = $this->common->nohtml($this->input->post("name"));
		if (empty($name)) $this->template->error(lang("error_64"));

		$admin = intval($this->input->post("admin"));
		$admin_settings = intval($this->input->post("admin_settings"));
		$admin_members = intval($this->input->post("admin_members"));
		$admin_payment = intval($this->input->post("admin_payment"));
		$banned = intval($this->input->post("banned"));

		$this->admin_model->update_user_role($id, 
			array(
				"name" =>$name,
				"admin" => $admin,
				"admin_settings" => $admin_settings,
				"admin_members" => $admin_members,
				"admin_payment" => $admin_payment,
				"banned" => $banned
				)
		);
		$this->session->set_flashdata("globalmsg", lang("success_31"));
		redirect(site_url("admin/user_roles"));
	}

	public function delete_user_role($id, $hash) 
	{
		if(!$this->user->info->admin) $this->template->error(lang("error_2"));
		if ($hash != $this->security->get_csrf_hash()) {
			$this->template->error(lang("error_6"));
		}
		$id = intval($id);
		$group = $this->admin_model->get_user_role($id);
		if ($group->num_rows() == 0) $this->template->error(lang("error_65"));

		$this->admin_model->delete_user_role($id);
		// Delete all user groups from member

		$this->session->set_flashdata("globalmsg", lang("success_32"));
		redirect(site_url("admin/user_roles"));
	}

	public function user_groups() 
	{
		if(!$this->user->info->admin && !$this->user->info->admin_members) {
			$this->template->error(lang("error_2"));
		}
		$this->template->loadData("activeLink", 
			array("admin" => array("user_groups" => 1)));
		$groups = $this->admin_model->get_user_groups();
		$this->template->loadContent("admin/groups.php", array(
			"groups" => $groups
			)
		);
	}

	public function email_templates() 
	{
		if(!$this->user->info->admin) {
			$this->template->error(lang("error_2"));
		}
		$this->template->loadData("activeLink", 
			array("admin" => array("email_templates" => 1)));
		$email_templates = $this->admin_model->get_email_templates();
		$this->template->loadContent("admin/email_templates.php", array(
			"email_templates" => $email_templates
			)
		);
	}

	public function edit_email_template($id) 
	{
		if(!$this->user->info->admin) {
			$this->template->error(lang("error_2"));
		}
		$this->template->loadData("activeLink", 
			array("admin" => array("email_templates" => 1)));
		$id = intval($id);
		$email_template = $this->admin_model->get_email_template($id);
		if ($email_template->num_rows() == 0) {
			$this->template->error(lang("error_8"));
		}

		$this->template->loadContent("admin/edit_email_template.php", array(
			"email_template" => $email_template->row()
			)
		);
	}

	public function edit_email_template_pro($id) 
	{
		if(!$this->user->info->admin) {
			$this->template->error(lang("error_2"));
		}
		$this->template->loadData("activeLink", 
			array("admin" => array("email_templates" => 1)));
		$id = intval($id);
		$email_template = $this->admin_model->get_email_template($id);
		if ($email_template->num_rows() == 0) {
			$this->template->error(lang("error_8"));
		}

		$title = $this->common->nohtml($this->input->post("title"));
		$message = $this->lib_filter->go($this->input->post("message"));

		if (empty($title) || empty($message)) {
			$this->template->error(lang("error_9"));
		}

		$this->admin_model->update_email_template($id, $title, $message);
		$this->session->set_flashdata("globalmsg", lang("success_7"));
		redirect(site_url("admin/email_templates"));
	}

	public function ipblock() 
	{
		if(!$this->user->info->admin && !$this->user->info->admin_members) {
			$this->template->error(lang("error_2"));
		}
		$this->template->loadData("activeLink", 
			array("admin" => array("ipblock" => 1)));

		$ipblock = $this->admin_model->get_ip_blocks();

		$this->template->loadContent("admin/ipblock.php", array(
			"ipblock" => $ipblock
			)
		);
	}

	public function add_ipblock() 
	{
		if(!$this->user->info->admin && !$this->user->info->admin_members) {
			$this->template->error(lang("error_2"));
		}
		$ip = $this->common->nohtml($this->input->post("ip"));
		$reason = $this->common->nohtml($this->input->post("reason"));

		if (empty($ip)) $this->template->error(lang("error_10"));

		$this->admin_model->add_ipblock($ip, $reason);
		$this->session->set_flashdata("globalmsg", lang("success_8"));
		redirect(site_url("admin/ipblock"));
	}

	public function delete_ipblock($id) 
	{
		if(!$this->user->info->admin && !$this->user->info->admin_members) {
			$this->template->error(lang("error_2"));
		}
		$id = intval($id);
		$ipblock = $this->admin_model->get_ip_block($id);
		if ($ipblock->num_rows() == 0) $this->template->error(lang("error_11"));

		$this->admin_model->delete_ipblock($id);
		$this->session->set_flashdata("globalmsg", lang("success_9"));
		redirect(site_url("admin/ipblock"));
	}

	public function settings() 
	{
		if(!$this->user->info->admin && !$this->user->info->admin_settings) {
			$this->template->error(lang("error_2"));
		}
		$this->template->loadData("activeLink", 
			array("admin" => array("settings" => 1)));
		$roles = $this->admin_model->get_user_roles();
		$layouts = $this->admin_model->get_layouts();
		$this->template->loadContent("admin/settings.php", array(
			"roles" => $roles,
			"layouts" => $layouts
			)
		);
	}
	
	public function settings_mail_pro() 
	{
		if(!$this->user->info->admin && !$this->user->info->admin_settings) {
			$this->template->error(lang("error_2"));
		}
		$site_email = $this->common->nohtml($this->input->post("site_email"));
		$admin_email = $this->common->nohtml($this->input->post("admin_email"));
		$mailgun_domain = $this->common->nohtml($this->input->post("mailgun_domain"));
		$mailgun_api = $this->common->nohtml($this->input->post("mailgun_api"));

		$this->admin_model->updateSettings(
			array(
				"site_email" => $site_email,
				"admin_email" => $admin_email,
				"mailgun_domain" => $mailgun_domain, 
				"mailgun_api"=> $mailgun_api,  
			)
		);
		$this->session->set_flashdata("globalmsg", lang("success_13"));
		redirect(site_url("admin/settings"));
	}
	
	public function settings_sms_pro() 
	{
		if(!$this->user->info->admin && !$this->user->info->admin_settings) {
			$this->template->error(lang("error_2"));
		}
		$sms_id = $this->common->nohtml($this->input->post("sms_id"));

		$this->admin_model->updateSettings(
			array(
				"sms_id" => $sms_id,
			)
		);
		$this->session->set_flashdata("globalmsg", lang("success_13"));
		redirect(site_url("admin/settings"));
	}

	public function settings_pro() 
	{
		if(!$this->user->info->admin && !$this->user->info->admin_settings) {
			$this->template->error(lang("error_2"));
		}
		$site_name = $this->common->nohtml($this->input->post("site_name"));
		$currency = $this->common->nohtml($this->input->post("currency"));
		$success_url = $this->common->nohtml($this->input->post("success_url"));
		$fail_url = $this->common->nohtml($this->input->post("fail_url"));
		$upload_path = $this->common->nohtml($this->input->post("upload_path"));
		$file_types = $this->common
			->nohtml($this->input->post("file_types"));
		$file_size = intval($this->input->post("file_size"));
		$upload_path_rel = 
			$this->common->nohtml($this->input->post("upload_path_relative"));
		$date_format = $this->common->nohtml($this->input->post("date_format"));
		$login_protect = intval($this->input->post("login_protect"));
		$secure_login = intval($this->input->post("secure_login"));
		$logo_option = intval($this->input->post("logo_option"));

		// Validate
		$this->load->library("upload");

		if ($_FILES['userfile']['size'] > 0) {
			$this->upload->initialize(array( 
		       "upload_path" => $this->settings->info->upload_path,
		       "overwrite" => FALSE,
		       "max_filename" => 300,
		       "encrypt_name" => TRUE,
		       "remove_spaces" => TRUE,
		       "allowed_types" => $this->settings->info->file_types,
		       "max_size" => 2000,
		       "xss_clean" => TRUE
		    ));

		    if (!$this->upload->do_upload()) {
		    	$this->template->error(lang("error_21") 
		    	.$this->upload->display_errors());
		    }

		    $data = $this->upload->data();

		    $image = $data['file_name'];
		} else {
			$image= $this->settings->info->site_logo;
		}

		$this->admin_model->updateSettings(
			array(
				"site_name" => $site_name,
				"currency" => $currency,
				"success_url" => $success_url,
				"fail_url" => $fail_url,
				"upload_path" => $upload_path,
				"upload_path_relative" => $upload_path_rel, 
				"site_logo"=> $image,  
				"register" => $register,
				"file_types" => $file_types,
				"date_format" => $date_format,
				"file_size" => $file_size,
				"login_protect" => $login_protect,
				"secure_login" => $secure_login,
			)
		);
		$this->session->set_flashdata("globalmsg", lang("success_13"));
		redirect(site_url("admin/settings"));
	}

}

?>