<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Payment extends CI_Controller 
{
	
	public function __construct() 
	{
		parent::__construct();
		$this->load->model("admin_model");
		$this->load->model("payment_model");
	}

	// Страница оплаты
	public function go() 
	{
		// Подгрузка HTML содержимого
		$this->template->set_layout("layout/payment_layout.php");
		$this->template->loadContent("payment/go.php", array(
			)
		);
	}
	
	public function add_card_yandex_pro() // Оплата с банковской карты Яндекс
	{
		// Сохранение действия в истории операций
		$pay_method	 = "Банковские карты Яндекс";
		$label	 = "warning";
		$img	 = "bankcard.png";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
		
		$GET_params .= 'receiver='.$this->settings->info->card_yandex.'&';
		$GET_params .= 'paymentType=AC&';
		$GET_params .= 'formcomment='.$name.'&';
		$GET_params .= 'comment='.$comment.'&';
		$GET_params .= 'sum='.$amount.'&';
		$GET_params .= 'quickpay-form=shop&';
		$GET_params .= 'targets='.$name.'&';
		$GET_params .= 'successUrl='.$this->settings->info->success_url.'&';
		$GET_params .= 'failUrl='.$this->settings->info->fail_url.'&';
		
		$url = "https://money.yandex.ru/quickpay/confirm.xml?".$GET_params ." ";
		redirect("$url");
		
	}
	
	public function add_card_qiwi_pro() // Оплата с банковской карты QIWI
	{
		// Сохранение действия в истории операций
		$pay_method	 = "Банковские карты QIWI";
		$label	 = "warning";
		$img	 = "bankcard.png";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
		
		$GET_params .= ''.$this->settings->info->card_qiwi.'?'; // идентификатор
		$GET_params .= 'sum='.$amount.'&';
		$GET_params .= 'source=card';
		
		$url = "https://qiwi.me/action/checkout/".$GET_params ." ";
		redirect("$url");
		
	}
	
	public function add_card_visa_pro() // Оплата с банковской карты Элекснет для VISA
	{
		// Сохранение действия в истории операций
		$pay_method	 = "Банковские карты Элекснет";
		$label	 = "warning";
		$img	 = "bankcard.png";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
		
		$GET_params .= 'ReqIdlock='.$this->settings->info->card_elex_visa.'&';
		$GET_params .= 'MerchantId=8187&';
		$GET_params .= 'Amount='.$amount.'&';
		$GET_params .= 'comment='.$transaction.'';
		
		$url = "https://1.elecsnet.ru/NotebookFront/Fulfill/Index?".$GET_params ." ";
		redirect("$url");
		
	}
	
	public function add_sber_pro() // Сбербанк
	{
		// Сохранение действия в истории операций
		$pay_method	 = "Перевод на карту Сбербанка";
		$label	 = "warning";
		$img	 = "sber.png";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
		
		$url = "https://online.sberbank.ru/CSAFront/index.do";
		redirect("$url");
		
	}
	
	public function add_bankru_pro() // Перевод по реквзитам RUB
	{
		// Сохранение действия в истории операций
		$pay_method	 = "Банковский перевод в рублях";
		$label	 = "warning";
		$img	 = "bankusa.jpg";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
		
		$this->session->set_flashdata("globalmsg", "Ваш платеж будет обработан в ближайшее время!");
		redirect(site_url("payment/go/?transaction=$transaction&item=$name&amount=$amount"));
		
	}
	
	public function add_bankusa_pro() // Перевод по реквзитам USD
	{
		// Сохранение действия в истории операций
		$pay_method	 = "Банковский перевод в долларах";
		$label	 = "warning";
		$img	 = "bankru.jpg";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
		
		$this->session->set_flashdata("globalmsg", "Ваш платеж будет обработан в ближайшее время!");
		redirect(site_url("payment/go/?transaction=$transaction&item=$name&amount=$amount"));
		
	}
	
	public function add_yandex_pro() // Оплата с банковской карты Яндекс
	{
		// Сохранение действия в истории операций
		$pay_method	 = "Яндекс Деньги";
		$label	 = "warning";
		$img	 = "yandex.png";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
		
		$GET_params .= 'receiver='.$this->settings->info->emoney_yandex.'&';
		$GET_params .= 'paymentType=PC&';
		$GET_params .= 'formcomment='.$name.'&';
		$GET_params .= 'comment='.$comment.'&';
		$GET_params .= 'sum='.$amount.'&';
		$GET_params .= 'quickpay-form=shop&';
		$GET_params .= 'targets='.$name.'&';
		$GET_params .= 'successUrl='.$this->settings->info->success_url.'&';
		$GET_params .= 'failUrl='.$this->settings->info->fail_url.'&';
		
		$url = "https://money.yandex.ru/quickpay/confirm.xml?".$GET_params ." ";
		redirect("$url");
		
	}
	
	public function add_yandexsms_pro() // Оплата SMS Яндекс
	{
		// Сохранение действия в истории операций
		$pay_method	 = "SMS платеж через Яндекс Деньги";
		$label	 = "warning";
		$img	 = "beeline.png";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
		
		$GET_params .= 'receiver='.$this->settings->info->emoney_yandex.'&';
		$GET_params .= 'paymentType=MC&';
		$GET_params .= 'formcomment='.$name.'&';
		$GET_params .= 'comment='.$comment.'&';
		$GET_params .= 'sum='.$amount.'&';
		$GET_params .= 'quickpay-form=shop&';
		$GET_params .= 'targets='.$name.'&';
		$GET_params .= 'successUrl='.$this->settings->info->success_url.'&';
		$GET_params .= 'failUrl='.$this->settings->info->fail_url.'&';
		
		$url = "https://money.yandex.ru/quickpay/confirm.xml?".$GET_params ." ";
		redirect("$url");
		
	}
	
	public function add_mts_pro() // Элекснет МТС для VISA
	{
		// Сохранение действия в истории операций
		$pay_method	 = "SMS платеж через МТС Элекснет";
		$label	 = "warning";
		$img	 = "mts.png";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
		
		$GET_params .= 'ReqIdlock='.$this->settings->info->sms_mts.'&';
		$GET_params .= 'MerchantId=151&';
		$GET_params .= 'Amount='.$amount.'';
		
		$url = "https://1.elecsnet.ru/NotebookFront/services/0MHP/Default.aspx?".$GET_params ." ";
		redirect("$url");
		
	}
	
	public function add_qiwi_save_pro() // Оплата с QIWI копилки
	{
		// Сохранение действия в истории операций
		$pay_method	 = "QIWI копилка";
		$label	 = "warning";
		$img	 = "qiwi.png";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
		
		$GET_params .= ''.$this->settings->info->emoney_qiwi_save.'?'; // идентификатор
		$GET_params .= 'sum='.$amount.'&';
		$GET_params .= 'source=qw';
		
		$url = "https://qiwi.me/action/checkout/".$GET_params ." ";
		redirect("$url");
		
	}
	
	public function add_qiwi_pro() // Оплата с QIWI напрямую
	{
		// Сохранение действия в истории операций
		$pay_method	 = "QIWI прямой платеж";
		$label	 = "warning";
		$img	 = "qiwi.png";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
		
		$GET_params .= 'extra%5B%27account%27%5D='.$this->settings->info->emoney_qiwi.'&'; // идентификатор
		$GET_params .= 'extra%5B%27comment%27%5D'.$name.'?'; // идентификатор
		$GET_params .= 'amountFraction=00&';
		$GET_params .= 'amountInteger='.$amount.'&';
		
		$url = "https://qiwi.ru/transfer/form.action?".$GET_params ." ";
		redirect("$url");
		
	}
	
	public function add_paypal_ru_pro() // Оплата с PayPal RUB
	{
		// Сохранение действия в истории операций
		$pay_method	 = "PayPal RUB";
		$label	 = "warning";
		$img	 = "pp.png";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
		
		$GET_params .= 'charset=utf8&';
		$GET_params .= 'cmd=_xclick&';
		$GET_params .= 'item_number='.$transaction.'&';
		$GET_params .= 'item_name='.$name.'&';
		$GET_params .= 'quantity=1&';
		$GET_params .= 'custom='.$transaction.'&';
		$GET_params .= 'custom='.$this->settings->info->emoney_paypal_rub.'&';
		$GET_params .= 'business='.$this->settings->info->emoney_paypal_rub.'&';
		$GET_params .= 'return='.$this->settings->info->success_url.'&';
		$GET_params .= 'cancel_return='.$this->settings->info->fail_url.'&';
		$GET_params .= 'no_shipping=1&';
		$GET_params .= 'currency_code=RUB&';
		$GET_params .= 'no_note=1&';
		$GET_params .= 'amount='.$amount.'&';
		
		$url = "https://www.paypal.com/cgi-bin/webscr?".$GET_params ." ";
		redirect("$url");
		
	}
	
	public function add_paypal_usd_pro() // Оплата с PayPal USD
	{
		// Сохранение действия в истории операций
		$pay_method	 = "PayPal USD";
		$label	 = "warning";
		$img	 = "pp.png";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
		
		$GET_params .= 'charset=utf8&';
		$GET_params .= 'cmd=_xclick&';
		$GET_params .= 'item_number='.$transaction.'&';
		$GET_params .= 'item_name='.$name.'&';
		$GET_params .= 'quantity=1&';
		$GET_params .= 'custom='.$transaction.'&';
		$GET_params .= 'custom='.$this->settings->info->emoney_paypal_rub.'&';
		$GET_params .= 'business='.$this->settings->info->emoney_paypal_rub.'&';
		$GET_params .= 'return='.$this->settings->info->success_url.'&';
		$GET_params .= 'cancel_return='.$this->settings->info->fail_url.'&';
		$GET_params .= 'no_shipping=1&';
		$GET_params .= 'currency_code=USD&';
		$GET_params .= 'no_note=1&';
		$GET_params .= 'amount='.$amount.'&';
		
		$url = "https://www.paypal.com/cgi-bin/webscr?".$GET_params ." ";
		redirect("$url");
		
	}
	
	public function add_wmr_pro() // Оплата с WebMoney напрямую
	{
		// Сохранение действия в истории операций
		$pay_method	 = "WebMoney";
		$label	 = "warning";
		$img	 = "wm.png";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);

		$GET_params .= 'METHOD=POST&';
		$GET_params .= 'LMI_PAYMENT_AMOUNT='.$amount.'&';
		$GET_params .= 'LMI_PAYMENT_DESC='.$name.'&';
		$GET_params .= 'LMI_PAYEE_PURSE='.$this->settings->info->emoney_webmoney.'&';
		$GET_params .= 'LMI_SIM_MODE=0&';
		$GET_params .= 'LMI_SUCCESS_URL='.$this->settings->info->success_url.'&';
		$GET_params .= 'LMI_FAIL_URL='.$this->settings->info->fail_url.'&';
		$GET_params .= 'LMI_PAYMER_EMAIL='.$email.'';
		
		$url = "https://merchant.webmoney.ru/lmi/payment.asp?".$GET_params ." ";
		redirect("$url");
		
	}
	
	public function add_perfect_pro() // Оплата с PerfectMoney
	{
		// Сохранение действия в истории операций
		$pay_method	 = "PerfectMoney";
		$label	 = "warning";
		$img	 = "pm.png";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);

		$GET_params .= 'PAYEE_ACCOUNT='.$this->settings->info->emoney_perfect.'&';
		$GET_params .= 'PAYEE_NAME='.$this->settings->info->site_name.'&';
		$GET_params .= 'PAYMENT_ID='.$transaction.'&';
		$GET_params .= 'PAYMENT_UNITS=USD&';
		$GET_params .= 'PAYMENT_URL='.$this->settings->info->success_url.'&';
		$GET_params .= 'LMI_FAIL_URL='.$this->settings->info->fail_url.'&';
		$GET_params .= 'PAYMENT_URL_METHOD=POST&';
		$GET_params .= 'SUGGESTED_MEMO='.$name.'&';
		$GET_params .= 'BAGGAGE_FIELDS=&';
		$GET_params .= 'PAYMENT_AMOUNT='.$amount.'';
		
		$url = "https://perfectmoney.is/api/step1.asp?".$GET_params ." ";
		redirect("$url");
		
	}
	
	public function add_skrill_pro() // Оплата с Skrill
	{
		// Сохранение действия в истории операций
		$pay_method	 = "Skrill";
		$label	 = "warning";
		$img	 = "skrill.png";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
		
	

		$GET_params .= 'pay_to_email='.$this->settings->info->emoney_scrill.'&';
		$GET_params .= 'language=RU&';
		$GET_params .= 'currency=USD&';
		$GET_params .= 'detail1_description='.$transaction.'&';
		$GET_params .= 'detail1_text='.$name.'&';
		$GET_params .= 'amount='.$amount.'';
		
		$url = "https://www.moneybookers.com/app/payment.pl?".$GET_params ." ";
		redirect("$url");
		
	}
	
	public function add_elexnet_pro() // Кошелек Элекснет оплата
	{
		// Сохранение действия в истории операций
		$pay_method	 = "Элекснет кошелек";
		$label	 = "warning";
		$img	 = "elex.png";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
		
		$GET_params .= 'ReqIdlock='.$this->settings->info->emoney_elexnet.'&';
		$GET_params .= 'MerchantId=8187&';
		$GET_params .= 'comment='.$transaction.' '.$name.'&';
		$GET_params .= 'paymentToolId=9&';
		$GET_params .= 'Amount='.$amount.'';
		
		$url = "https://1.elecsnet.ru/NotebookFront/services/0MHP/Default.aspx?".$GET_params ." ";
		redirect("$url");
		
	}
	
	public function add_adv_rub_pro() // ADV Cash RUB
	{
		// Сохранение действия в истории операций
		$pay_method	 = "ADV Cash RUB";
		$label	 = "warning";
		$img	 = "adv.png";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
			
		$GET_params .= 'ac_account_email='.$this->settings->info->emoney_advcash.'&';
		$GET_params .= 'ac_sci_name='.$this->settings->info->emoney_name_advcash.'&';
		$GET_params .= 'ac_amount='.$amount.'&';
		$GET_params .= 'ac_currency=RUB&';
		$GET_params .= 'ac_order_id='.$transaction.'&';
		$GET_params .= 'ac_sci_name='.$this->settings->info->emoney_sign_advcash.'&';
		$GET_params .= 'ac_success_url='.$success_url.'&';
		$GET_params .= 'ac_success_url_method=GET&';
		$GET_params .= 'ac_fail_url='.$fail_url.'&';
		$GET_params .= 'ac_fail_url_method=GET&';
		$GET_params .= 'ac_comments='.$name.'';
		
		$url = "https://wallet.advcash.com/sci/?".$GET_params ." ";
		redirect("$url");
		
	}
	
	public function add_adv_usd_pro() // ADV Cash RUB
	{
		// Сохранение действия в истории операций
		$pay_method	 = "ADV Cash USD";
		$label	 = "warning";
		$img	 = "adv.png";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
			
		$GET_params .= 'ac_account_email='.$this->settings->info->emoney_advcash_usd.'&';
		$GET_params .= 'ac_sci_name='.$this->settings->info->emoney_name_advcash_usd.'&';
		$GET_params .= 'ac_amount='.$amount.'&';
		$GET_params .= 'ac_currency=USD&';
		$GET_params .= 'ac_order_id='.$transaction.'&';
		$GET_params .= 'ac_sci_name='.$this->settings->info->emoney_sign_advcash_usd.'&';
		$GET_params .= 'ac_success_url='.$success_url.'&';
		$GET_params .= 'ac_success_url_method=GET&';
		$GET_params .= 'ac_fail_url='.$fail_url.'&';
		$GET_params .= 'ac_fail_url_method=GET&';
		$GET_params .= 'ac_comments='.$name.'';
		
		$url = "https://wallet.advcash.com/sci/?".$GET_params ." ";
		redirect("$url");
		
	}
	
	public function add_dot_pay_pro() // BTC DotPay
	{
		// Сохранение действия в истории операций
		$pay_method	 = "BTC через DotPay";
		$label	 = "warning";
		$img	 = "bitcoin.png";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
			
		$GET_params .= 'merchant_id='.$this->settings->info->emoney_dotpay.'&';
		$GET_params .= 'amount='.$amount.'&';
		$GET_params .= 'currency=USD&';
		$GET_params .= 'sub1='.$transaction.'&';
		$GET_params .= 'comment='.$name.'';
		
		$url = "https://merchant.dotpay.io/api/?".$GET_params ." ";
		redirect("$url");
		
	}
	
	public function add_advbtc_rub_pro() // ADV Cash BTC RUB
	{
		// Сохранение действия в истории операций
		$pay_method	 = "Bitcoin RUB через ADV Cash";
		$label	 = "warning";
		$img	 = "bitcoin.png";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
			
		$GET_params .= 'ac_account_email='.$this->settings->info->emoney_btcadvcash.'&';
		$GET_params .= 'ac_sci_name='.$this->settings->info->emoney_name_btcadvcash.'&';
		$GET_params .= 'ac_amount='.$amount.'&';
		$GET_params .= 'ac_currency=RUB&';
		$GET_params .= 'ac_order_id='.$transaction.'&';
		$GET_params .= 'ac_sci_name='.$this->settings->info->emoney_sign_btcadvcash.'&';
		$GET_params .= 'ac_success_url='.$success_url.'&';
		$GET_params .= 'ac_success_url_method=GET&';
		$GET_params .= 'ac_fail_url='.$fail_url.'&';
		$GET_params .= 'ac_fail_url_method=GET&';
		$GET_params .= 'ac_comments='.$name.'';
		
		$url = "https://wallet.advcash.com/sci/?".$GET_params ." ";
		redirect("$url");
		
	}
	
	public function add_advbtc_usd_pro() // ADV Cash BTC USD
	{
		// Сохранение действия в истории операций
		$pay_method	 = "Bitcoin USD через ADV Cash";
		$label	 = "warning";
		$img	 = "bitcoin.png";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
			
		$GET_params .= 'ac_account_email='.$this->settings->info->emoney_btcadvcash_usd.'&';
		$GET_params .= 'ac_sci_name='.$this->settings->info->emoney_name_btcadvcash_usd.'&';
		$GET_params .= 'ac_amount='.$amount.'&';
		$GET_params .= 'ac_currency=USD&';
		$GET_params .= 'ac_order_id='.$transaction.'&';
		$GET_params .= 'ac_sci_name='.$this->settings->info->emoney_sign_btcadvcash_usd.'&';
		$GET_params .= 'ac_success_url='.$success_url.'&';
		$GET_params .= 'ac_success_url_method=GET&';
		$GET_params .= 'ac_fail_url='.$fail_url.'&';
		$GET_params .= 'ac_fail_url_method=GET&';
		$GET_params .= 'ac_comments='.$name.'';
		
		$url = "https://wallet.advcash.com/sci/?".$GET_params ." ";
		redirect("$url");
		
	}
	
	public function add_w1_rub_pro() // Единый кошелек RUB
	{
		// Сохранение действия в истории операций
		$pay_method	 = "Единый кошелек RUB";
		$label	 = "warning";
		$img	 = "w1.jpg";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
			
		$GET_params .= 'WMI_MERCHANT_ID='.$this->settings->info->emoney_w1.'&';
		$GET_params .= 'WMI_PAYMENT_AMOUNT='.$amount.'.00&';
		$GET_params .= 'WMI_CURRENCY_ID=643&';
		$GET_params .= 'WMI_DESCRIPTION='.$transaction.'&';
		$GET_params .= 'WMI_SUCCESS_URL='.$success_url.'&';
		$GET_params .= 'WMI_FAIL_URL='.$fail_url.'&';
		$GET_params .= 'WMI_PTENABLED=WalletOneRUB';
		
		$url = "https://wl.walletone.com/checkout/checkout/Index?".$GET_params ." ";
		redirect("$url");
		
	}
	
	public function add_w1_usd_pro() // Единый кошелек USD
	{
		// Сохранение действия в истории операций
		$pay_method	 = "Единый кошелек USD";
		$label	 = "warning";
		$img	 = "w1.jpg";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
			
		$GET_params .= 'WMI_MERCHANT_ID='.$this->settings->info->emoney_w1.'&';
		$GET_params .= 'WMI_PAYMENT_AMOUNT='.$amount.'.00&';
		$GET_params .= 'WMI_CURRENCY_ID=840&';
		$GET_params .= 'WMI_DESCRIPTION='.$transaction.'&';
		$GET_params .= 'WMI_SUCCESS_URL='.$success_url.'&';
		$GET_params .= 'WMI_FAIL_URL='.$fail_url.'&';
		$GET_params .= 'WMI_PTENABLED=WalletOneRUB';
		
		$url = "https://wl.walletone.com/checkout/checkout/Index?".$GET_params ." ";
		$this->session->set_flashdata("globalmsg", lang("success_40"));
		redirect("$url");
		
	}
	
	public function loan_pro() // Оплата в кредит УБРИР
	{
		// Сохранение действия в истории операций
		$pay_method	 = "Заявка на кредит в УБРИР";
		$label	 = "warning";
		$img	 = "ubrir.png";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));
		
		// Данные для заявки в LEADS.SU
		$firstname = $this->common->nohtml($this->input->post("firstname"));
		$lastname = $this->common->nohtml($this->input->post("lastname"));
		$middlename = $this->common->nohtml($this->input->post("middlename"));
		$birthdate = $this->common->nohtml($this->input->post("birthdate"));
		$fact_region_name = $this->common->nohtml($this->input->post("fact_region_name"));
		$fact_city_name = $this->common->nohtml($this->input->post("fact_city_name"));
		$mphone = $this->common->nohtml($this->input->post("mphone"));
		$overdue_loans = $this->common->nohtml($this->input->post("overdue_loans"));
		
		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => "Заявка на кредит",
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
		
		$ch = curl_init("http://api.leads.su/webmaster/leads/push?");
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); 
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, array(

            "token"             =>  $this->settings->info->loan_api_key,
            "platform_id"       =>  $this->settings->info->loan_idsite,
            "offer_id"          =>  $this->settings->info->loan_offer,
            "firstname"         =>  $firstname,
						"lastname"         	=>  $lastname,
						"middlename"        =>  $middlename,
						"birthdate"         =>  $birthdate,
						"fact_region_name"  =>  $fact_region_name,
						"fact_city_name"    =>  $fact_city_name,
						"mphone"         		=>  $mphone,
						"overdue_loans"     =>  $overdue_loans,
						"email"         		=>  $email,
						
        ));

        $body = curl_exec($ch);
        curl_close($ch);
		
		$this->session->set_flashdata("globalmsg", "Заявка отправлена на рассмотрение. В ближайшее время с Вами свяжется сотрудник банка!");
		redirect(site_url("payment/go/?transaction=$transaction&item=$name&amount=$amount"));
		
	}
	
	public function add_payeer_usd_pro() // Payeer
	{
		// Сохранение действия в истории операций
		$pay_method	 = "Payeer USD";
		$label	 = "warning";
		$img	 = "payeer.jpg";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
		
		// Формирование цифровой подписи
		$m_shop = $this->settings->info->emoney_payeer_usd;
		$m_orderid = $transaction;
		$m_amount = ''.$amount.'.00';
		$m_curr = 'USD';
		$m_desc = base64_encode($name);;
		$m_key = $this->settings->info->emoney_payeer_usd_sign;

		$arHash = array(
			$m_shop,
			$m_orderid,
			$m_amount,
			$m_curr,
			$m_desc
		);

		$arHash[] = $m_key;
		$sign = strtoupper(hash('sha256', implode(':', $arHash)));

		$GET_params .= 'm_shop='.$m_shop.'&';
		$GET_params .= 'm_orderid='.$m_orderid.'&';
		$GET_params .= 'm_amount='.$m_amount.'&';
		$GET_params .= 'm_curr='.$m_curr.'&';
		$GET_params .= 'm_desc='.$m_desc.'&';
		$GET_params .= 'm_sign='.$sign.'';
		
		$url = "https://payeer.com/merchant/?".$GET_params ." ";
		$this->session->set_flashdata("globalmsg", lang("success_40"));
		redirect("$url");
		
	}
	
	
	public function add_payeer_rub_pro() // Payeer RUB
	{
		// Сохранение действия в истории операций
		$pay_method	 = "Payeer RUB";
		$label	 = "warning";
		$img	 = "payeer.jpg";
		$transaction = $this->common->nohtml($this->input->post("targets"));
		$name = $this->common->nohtml($this->input->post("formcomment"));
		$amount = $this->common->nohtml($this->input->post("sum"));
		$email = $this->common->nohtml($this->input->post("email"));
		$comment = $this->common->nohtml($this->input->post("comment"));

		// Добавление в БД полученных данных
			$historyid = $this->payment_model->add_card_yandex(array(
			"pay_method" => $pay_method,
			"label" => $label,
			"img" => $img,
			"transaction" => $transaction,
			"name" => $name,
			"amount" => $amount,
			"email" => $email,
			"comment" => $comment,
			"timestamp" => time()
			)
		);
		
		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => ''.$this->settings->info->site_name.' <'.$this->settings->info->site_email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => "Сформирован счет $transaction",
		'html' => '<html>Здравствуйте, уважаемый администратор! <br><br>Один из Ваших клиентов сформировал новый счет на оплату. <br><br><b>Детали операции:</b><br>Назначение платежа: '.$name.'<br>Сумма: '.$amount.' '.$this->settings->info->currency.'<br>Способ оплаты: '.$pay_method.'<br>Плательщик: '.$email.'.<br>Комментарий к оплате: '.$comment.'.<br><br><b>Для изменения статуса платежа перейдите в Панель управления.</b></html>'
		));
		$result = curl_exec($ch);
		curl_close($ch);
		
		// Формирование цифровой подписи
		$m_shop = $this->settings->info->emoney_payeer_usd;
		$m_orderid = $transaction;
		$m_amount = ''.$amount.'.00';
		$m_curr = 'RUB';
		$m_desc = base64_encode($name);;
		$m_key = $this->settings->info->emoney_payeer_usd_sign;

		$arHash = array(
			$m_shop,
			$m_orderid,
			$m_amount,
			$m_curr,
			$m_desc
		);

		$arHash[] = $m_key;
		$sign = strtoupper(hash('sha256', implode(':', $arHash)));

		$GET_params .= 'm_shop='.$m_shop.'&';
		$GET_params .= 'm_orderid='.$m_orderid.'&';
		$GET_params .= 'm_amount='.$m_amount.'&';
		$GET_params .= 'm_curr='.$m_curr.'&';
		$GET_params .= 'm_desc='.$m_desc.'&';
		$GET_params .= 'm_sign='.$sign.'';
		
		$url = "https://payeer.com/merchant/?".$GET_params ." ";
		$this->session->set_flashdata("globalmsg", lang("success_40"));
		redirect("$url");
		
	}

	// Форма поддержки
	public function support() 
	{

		// Активность ссылки вв меню
		$this->template->loadData("activeLink", 
			array("restricted" => array("success" => 1)));

		// Подгрузка HTML содержимого
		$this->template->set_layout("layout/free_layout.php");
		$this->template->loadContent("payment/support.php", array(
			)
		);
	}
	
	public function support_user_pro() // Форма изменения статуса - Неудача
	{

		$subject = $this->common->nohtml($this->input->post("subject"));
		$email = $this->common->nohtml($this->input->post("email"));
		$message = $this->common->nohtml($this->input->post("message"));

		$api_key=$this->settings->info->mailgun_api;/* Api Key got from https://mailgun.com/cp/my_account */ 
		$domain =$this->settings->info->mailgun_domain;/* Domain Name you given to Mailgun */ 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
		curl_setopt($ch, CURLOPT_USERPWD, 'api:'.$api_key); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST'); 
		curl_setopt($ch, CURLOPT_URL, 'https://api.mailgun.net/v2/'.$domain.'/messages'); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, array( 'from' => 'Обращение в поддержку <'.$email.'>',
		'to' => $this->settings->info->admin_email,
		'subject' => $subject,
		'html' => $message
		));
		$result = curl_exec($ch);
		curl_close($ch);
		
		$this->session->set_flashdata("globalmsg", "Ваше сообщение отправлено! Мы скоро ответим Вам!");
		redirect(site_url("payment/support"));
	}

	// Удачная оплата
	public function success() 
	{

		// Активность ссылки вв меню
		$this->template->loadData("activeLink", 
			array("restricted" => array("success" => 1)));

		// Подгрузка HTML содержимого
		$this->template->set_layout("layout/free_layout.php");
		$this->template->loadContent("payment/success.php", array(
			)
		);
	}

	// Неудачная оплата
	public function fail() 
	{

		// Активность ссылки вв меню
		$this->template->loadData("activeLink", 
			array("restricted" => array("fail" => 1)));

		// Подгрузка HTML содержимого
		$this->template->set_layout("layout/free_layout.php");
		$this->template->loadContent("payment/fail.php", array(
			)
		);
	}

}

?>
